Subject: Re: bug#13887: 24.3; doc-view will render blurry images when image-magick is available

From: E Sabof <[email-masked]>
Date: Thu, 14 Mar 2013 15:53:28 +0000

Tested the trunk version of doc-view with "emacs -Q". I am still not
getting not getting an inital overlay. However I do get overlays after I
zoom and split. (I still get occasional pages with no overlays after
spltting if I use my default configuration)

Also If you zoom/split/delete windows for a while, doc-view stops centering
overlays in new windows.

Evgeni

On Thu, Mar 14, 2013 at 3:30 PM, Tassilo Horn <[email-masked]> wrote:

> Stefan Monnier <[email-masked]> writes:
>
> >> +        (unless (eq (window-buffer) (current-buffer))
> >> +          (set-window-buffer (selected-window) (current-buffer)))
> >
> > This can't be the right fix: doc-view.el is just a major-mode that
> > controls how a particular buffer is displayed, and not which buffer to
> > display in which window.
> >
> > [ I see Tassilo has a better patch already, so I'll let him take care of
> >   it, but I just wanted to point out "the obvious".  ]
>
> I've committed my patch now.  Evgeni, please report back if it really
> solves the issue for you, so that I can close this issue.
>
> Stefan, do you think the horizontal centering of images in case the
> window is wider than the image should be customizable?  Currently it's
> not which is fine with me and is what other viewers also do.
>
> Bye,
> Tassilo
>